# Get Invoice

This API is used to get information about a specific invoice.

<mark style="color:green;">`POST`</mark> `https://wallet-api.xaigate.com/api/v1/invoice/info`

**Parameter content type: application/json**

#### Request Body

| Name                                        | Type   | Description                          |
| ------------------------------------------- | ------ | ------------------------------------ |
| apiKey<mark style="color:red;">\*</mark>    | String | fdda9f03-6409-43eb-a6ef-e1f6cea71c2e |
| invoiceNo<mark style="color:red;">\*</mark> | String | INV2167234232                        |

### Request Parameter <a href="#request-parameter" id="request-parameter"></a>

| **Parameter**                                        | **Type** | **Sample Value** |
| ---------------------------------------------------- | -------- | ---------------- |
| apiKey <mark style="color:red;">(required)</mark>    | String   | ​                |
| invoiceNo <mark style="color:red;">(required)</mark> | String   | ​                |

### Example Value <a href="#example-value-1" id="example-value-1"></a>

```
{
  "apiKey": "fdda9f03-6409-43eb-a6ef-e1f6cea71c2e",
  "invoiceNo": "INV2167234232"
}
```

### Response (<mark style="color:green;">200 Ok</mark> - https status code) <a href="#response-200-ok-https-status-code" id="response-200-ok-https-status-code"></a>

| **Response** | **Type** | **Sample Value**                                       |
| ------------ | -------- | ------------------------------------------------------ |
| invoiceNo    | String   | ​                                                      |
| amount       | String   | ​                                                      |
| paidAmount   | String   |                                                        |
| toEmail      | String   |                                                        |
| toName       | String   |                                                        |
| expiry       | Int      | default: 60 mins                                       |
| description  | String   |                                                        |
| status       | String   | Pending, Expired, Paid, PaidPartial, Deleted           |
| payUrl       | String   | <https://wallet.xaigate.com/pay/INV2167234232?lang=en> |
| currency     | String   | USD                                                    |
| shopName     | String   |                                                        |
| orderId      | String   |                                                        |
| createdAt    | String   |                                                        |
| updatedAt    | String   |                                                        |

### Example Value <a href="#example-value-1" id="example-value-1"></a>

```
{
  "invoiceNo": "INV2167234232",
  "amount": "10",
  "paidAmount": "0",
  "toEmail": "example@hotmail.com",
  "toName": "My Store",
  "expiry": 60,
  "description": "3 Coffee",
  "status": "Paid",
  "payUrl": "https://wallet.xaigate.com/pay/INV2167234232?lang=en",
  "currency": "USD",
  "shopName": "My Store",
  "orderId": "10",
  "createdAt": "2023-12-07T09:03:07.976520Z",
  "updatedAt": "2023-12-07T09:03:07.976523Z"
  ....
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://xaigate.gitbook.io/api-docs/invoice/get-invoice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
